pappso::TraceDetectionInterface Class Referenceabstract

`#include <tracedetectioninterface.h>`

Inheritance diagram for pappso::TraceDetectionInterface:

## Public Member Functions

virtual void | detect (const Trace &xic, TraceDetectionSinkInterface &sink) const =0

## Detailed Description

Definition at line 43 of file tracedetectioninterface.h.

## Member Function Documentation

## detect()

virtual void pappso::TraceDetectionInterface::detect | ( | const Trace & | xic,
|  | TraceDetectionSinkInterface & | sink
| ) |  | const

pure virtual

Implemented in pappso::TraceDetectionZivy, and pappso::TraceDetectionMoulon.

The documentation for this class was generated from the following file:

- pappsomspp/processing/detection/tracedetectioninterface.h